(defvar phundrak-nord0  "#2e3440")
(defvar phundrak-nord1  "#3b4252")
(defvar phundrak-nord2  "#434c5e")
(defvar phundrak-nord3  "#4c566a")
(defvar phundrak-nord4  "#d8dee9")
(defvar phundrak-nord5  "#e5e9f0")
(defvar phundrak-nord6  "#eceff4")
(defvar phundrak-nord7  "#8fbcbb")
(defvar phundrak-nord8  "#88c0d0")
(defvar phundrak-nord9  "#81a1c1")
(defvar phundrak-nord10 "#5e81ac")
(defvar phundrak-nord11 "#bf616a")
(defvar phundrak-nord12 "#d08770")
(defvar phundrak-nord13 "#ebcb8b")
(defvar phundrak-nord14 "#a3be8c")
(defvar phundrak-nord15 "#b48ead")

;;; Font settings
(require 'clx-truetype)
(ql:quickload :truetype-clx)
(load-module "ttf-fonts")
(set-font (make-instance 'xft:font
                         :family "DejaVu Sans"
                         :subfamily "Book"
                         :size 11
                         :antialias t))

;;; Colors
(set-border-color                 phundrak-nord4)
(set-focus-color                  phundrak-nord15)
(set-unfocus-color                phundrak-nord4)
(set-float-focus-color            phundrak-nord15)
(set-float-unfocus-color          phundrak-nord4)
(setf *normal-border-width*       3
      *float-window-border*       3
      *float-window-title-height* 15
      *window-border-style*       :thick)

;; message and input bar
(setf *input-window-gravity*     :top
      *message-window-padding*   5
      *message-window-y-padding* 5
      *message-window-gravity*   :top)

;;; gaps
(load-module "swm-gaps")
(setf swm-gaps:*head-gaps-size*  0
      swm-gaps:*inner-gaps-size* 5
      swm-gaps:*outer-gaps-size* 15)
(when *initializing*
  (swm-gaps:toggle-gaps))
